> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Password Policy

> Get the current [password policy](https://docs.rocket.chat/v1/docs/accounts#password-policy) for users in your workspace.
The `pw.getPolicyReset` endpoint has been removed from 7.0. Use this endpoint instead.

## OpenAPI

````json GET /api/v1/pw.getPolicy
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Settings"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "paths": {
    "/api/v1/pw.getPolicy": {
      "get": {
        "summary": "Get Password Policy",
        "tags": [
          "Password policy"
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {}
                },
                "examples": {
                  "Success": {
                    "value": {
                      "enabled": "true",
                      "policy": [
                        [
                          "get-password-policy-minLength",
                          {
                            "minLength": "7"
                          }
                        ],
                        [
                          "get-password-policy-forbidRepeatingCharacters"
                        ],
                        [
                          "get-password-policy-forbidRepeatingCharactersCount",
                          {
                            "forbidRepeatingCharactersCount": "3"
                          }
                        ],
                        [
                          "get-password-policy-mustContainAtLeastOneLowercase"
                        ],
                        [
                          "get-password-policy-mustContainAtLeastOneUppercase"
                        ],
                        [
                          "get-password-policy-mustContainAtLeastOneNumber"
                        ],
                        [
                          "get-password-policy-mustContainAtLeastOneSpecialCharacter"
                        ]
                      ],
                      "success": "true"
                    }
                  }
                }
              }
            }
          }
        },
        "operationId": "get-pw.getPolicy",
        "description": "Get the current [password policy](https://docs.rocket.chat/v1/docs/accounts#password-policy) for users in your workspace.\nThe `pw.getPolicyReset` endpoint has been removed from 7.0. Use this endpoint instead.",
        "parameters": [
          {
            "$ref": "#/components/parameters/X-User-Id"
          },
          {
            "$ref": "#/components/parameters/X-Auth-Token"
          }
        ]
      }
    }
  },
  "components": {
    "parameters": {
      "X-User-Id": {
        "name": "X-User-Id",
        "in": "header",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "CkCPNctrgCDfmWLqC",
        "description": "The user ID."
      },
      "X-Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE",
        "description": "The authentication token."
      }
    }
  }
}
````

